Package org.globus.ftp.dc

# Class SimpleDataChannelFactory

java.lang.Object
org.globus.ftp.dc.SimpleDataChannelFactory

All Implemented Interfaces:
  `DataChannelFactory`

public class SimpleDataChannelFactory extends Object implements DataChannelFactory

## Constructor Summary

Constructors
Constructor
Description
`SimpleDataChannelFactory()`

## Method Summary

Modifier and Type
Method
Description
`DataChannel`
`getDataChannel(Session state, SocketBox socketBox)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleDataChannelFactory

public SimpleDataChannelFactory()

## Method Details

### getDataChannel

public DataChannel getDataChannel(Session state, SocketBox socketBox)

Specified by:
  `getDataChannel` in interface `DataChannelFactory`